Bug 1280278 - the list of all groups a user is part of does not allow to see them all on one screen if there are enough groups
the list of all groups a user is part of does not allow to see them all on on...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
All All
medium Severity medium
: GA
: 5.5.0
Assigned To: Eric Winchell
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 06:56 EST by Felix Dewaleyne
Modified: 2015-12-08 08:46 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Previously, there was no scrollbar in the group switcher list. Therefore, if a user was a member of many groups, one could not see all groups. With this release, a scrollbar has been added to the group switcher list. As a result, one can now see all groups.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
group-list (84.01 KB, image/png)
2015-11-25 10:19 EST, Ramesh A
no flags Details

  None (edit)
Description Felix Dewaleyne 2015-11-11 06:56:18 EST
Description of problem:
the list of all groups a user is part of

Version-Release number of selected component (if applicable):
5.4.2.0

How reproducible:
all the time

Steps to Reproduce:
1. assign to one user a large number of groups (more than 24 in the customer's case, fonts size may make this number vary) in IPA
2. configure cloudforms to use IPA with all the groups and the test user
3. log in as the user and click on his name menu then click on "select group"

Actual results:
the list extends off screen and is non-scrollable

Expected results:
the list should be scrollable 

Additional info:
this is a usage scenario where one manager login should be able to switch groups to check that the configuration is correct for that group.
Comment 6 CFME Bot 2015-11-20 16:35:17 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/94b1a96a4eff63a38dd1c0bbcf3a4f1532639a0f

commit 94b1a96a4eff63a38dd1c0bbcf3a4f1532639a0f
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Fri Nov 20 15:17:43 2015 -0500
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Fri Nov 20 15:17:43 2015 -0500

    add scrollbar to group switcher dropdown
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1280278

 app/assets/stylesheets/patternfly_overrides.scss | 8 ++++++++
 app/views/layouts/_user_options.html.haml        | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-20 18:03:31 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=df5b0a186e4a02a39f3d6fa28cde877d4bf8bb4e

commit df5b0a186e4a02a39f3d6fa28cde877d4bf8bb4e
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Fri Nov 20 15:17:43 2015 -0500
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Fri Nov 20 16:59:34 2015 -0500

    add scrollbar to group switcher dropdown
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1280278

 app/assets/stylesheets/patternfly_overrides.scss | 8 ++++++++
 app/views/layouts/_user_options.html.haml        | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 8 CFME Bot 2015-11-20 18:03:50 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=4a2044d88faeb0261517828b9356e658f5cb9ca5

commit 4a2044d88faeb0261517828b9356e658f5cb9ca5
Merge: 3e72b70 df5b0a1
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Fri Nov 20 17:44:38 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Fri Nov 20 17:44:38 2015 -0500

    Merge branch 'switcher' into '5.5.z'
    
    add scrollbar to group switcher dropdown
    
    clean cherrypick of: https://github.com/ManageIQ/manageiq/pull/5544
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1280278
    
    See merge request !514

 app/assets/stylesheets/patternfly_overrides.scss | 8 ++++++++
 app/views/layouts/_user_options.html.haml        | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 9 Ramesh A 2015-11-25 10:18:36 EST
Good to go.  Verified and working fine in 5.5.0.12-rc2.20151124135609_653c0d4.

Now the group list has a scroll bar option.  Refer the screenshot "group-list" for further information.
Comment 10 Ramesh A 2015-11-25 10:19 EST
Created attachment 1098871 [details]
group-list
Comment 12 errata-xmlrpc 2015-12-08 08:46:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.